Get Restriction Type
curl --request GET \
--url https://api.topsort.com/public/v1/campaign-service/restriction-types/{restriction-type-id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.topsort.com/public/v1/campaign-service/restriction-types/{restriction-type-id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.topsort.com/public/v1/campaign-service/restriction-types/{restriction-type-id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": 123
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Campaign API
Get Restriction Type
Endpoint to get a specific restriction type.
GET
/
public
/
v1
/
campaign-service
/
restriction-types
/
{restriction-type-id}
Get Restriction Type
Autorisations
A valid API key generated in Topsort's UI. Use the TSE API key if calling auctions or events API, otherwise use the TSC API key.
Paramètres de chemin
Restriction type ID.
Réponse
Successful Response
The type of restriction.
The ID of the restriction.
The interaction type of the restriction.
Options disponibles:
impressions, clicks, conversions The frequency type of the restriction.
Options disponibles:
daily, weekly, monthly The level of the restriction.
Options disponibles:
campaign, bid Cette page vous a-t-elle été utile ?
⌘I